<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: /home/dan/work/DUNE/dune-wib.firmware/trunk/src/timing_system/ProtoDUNE_TimingSystem/pdts_rob.vhd Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_570b4db95f0cd4dd051651dda45f74e5.html">timing_system</a></li><li class="navelem"><a class="el" href="dir_62f6c400dcf184b6e78f244d6857593d.html">ProtoDUNE_TimingSystem</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">pdts_rob.vhd</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="keyword">-- pdts_rob</span><span class="keyword"></span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="keyword">--</span><span class="keyword"></span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="keyword">-- Readout <span class="vhdlkeyword">buffer</span>; size <span class="vhdlkeyword">of</span> <span class="vhdlkeyword">buffer</span> <span class="vhdlkeyword">is</span> 1k words * N_FIFO</span><span class="keyword"></span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="keyword">--</span><span class="keyword"></span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="keyword">-- Dave Newbold, April </span><span class="vhdllogic">2017</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="vhdlkeyword">library </span><span class="keywordflow">IEEE</span>;</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="vhdlkeyword">use </span>IEEE.STD_LOGIC_1164.<span class="vhdlkeyword">ALL</span>;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="vhdlkeyword">use </span>ieee.numeric_std.<span class="vhdlkeyword">all</span>;</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="vhdlkeyword">use </span>work.ipbus.<span class="vhdlkeyword">all</span>;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="keywordflow">entity </span><a class="code" href="classpdts__rob.html">pdts_rob</a> <span class="vhdlkeyword">is</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;    <span class="vhdlkeyword">generic</span><span class="vhdlchar">(</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;        <span class="vhdlchar">N_FIFO</span><span class="vhdlchar">:</span> <span class="vhdlchar">positive</span> <span class="vhdlchar">:=</span> <span class="vhdllogic"></span><span class="vhdllogic">1</span>;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;        <span class="vhdlchar">WARN_HWM</span><span class="vhdlchar">:</span> <span class="comment">natural</span> <span class="vhdlchar">:=</span> <span class="vhdllogic"></span><span class="vhdllogic">768</span>;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;        <span class="vhdlchar">WARN_LWM</span><span class="vhdlchar">:</span> <span class="comment">natural</span> <span class="vhdlchar">:=</span> <span class="vhdllogic"></span><span class="vhdllogic">512</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    <span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    <span class="vhdlkeyword">port</span><span class="vhdlchar">(</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;        <span class="vhdlchar">ipb_clk</span><span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span> <span class="comment">std_logic</span>;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;        <span class="vhdlchar">ipb_rst</span><span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span> <span class="comment">std_logic</span>;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;        <span class="vhdlchar">ipb_in</span><span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span> <span class="vhdlchar">ipb_wbus</span>;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;        <span class="vhdlchar">ipb_out</span><span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="vhdlchar">ipb_rbus</span>;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;        <span class="vhdlchar">rst</span><span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span> <span class="comment">std_logic</span>;<span class="keyword"> -- <span class="vhdlkeyword">Buffer</span> enable / nreset</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;        <span class="vhdlchar">d</span><span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">31</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;<span class="keyword"> -- data <span class="vhdlkeyword">in</span> </span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;        <span class="vhdlchar">we</span><span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span> <span class="comment">std_logic</span>;<span class="keyword"> -- write enable <span class="vhdlkeyword">in</span></span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;        <span class="vhdlchar">full</span><span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;<span class="keyword"> -- full flag <span class="vhdlkeyword">out</span></span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;        <span class="vhdlchar">empty</span><span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;<span class="keyword"> -- empty flag <span class="vhdlkeyword">out</span></span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;        <span class="vhdlchar">warn</span><span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span><span class="keyword"> -- warning flag <span class="vhdlkeyword">out</span></span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    <span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="vhdlkeyword">end</span> <span class="vhdlchar">pdts_rob</span>;</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="vhdlkeyword">architecture</span> rtl <span class="vhdlkeyword">of</span> <a class="code" href="classpdts__rob.html">pdts_rob</a> is</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="vhdlkeyword">signal</span> <span class="vhdlchar">rsti</span><span class="vhdlchar">,</span> <span class="vhdlchar">re</span><span class="vhdlchar">:</span> <span class="comment">std_logic</span>;</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <span class="vhdlkeyword">signal</span> <span class="vhdlchar">ctr</span><span class="vhdlchar">:</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">17</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <span class="vhdlkeyword">signal</span> <span class="vhdlchar">d_fifo</span><span class="vhdlchar">,</span> <span class="vhdlchar">q_fifo</span><span class="vhdlchar">:</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">35</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <span class="vhdlkeyword">signal</span> <span class="vhdlchar">valid</span><span class="vhdlchar">,</span> <span class="vhdlchar">w</span><span class="vhdlchar">:</span> <span class="comment">std_logic</span>;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="vhdlkeyword">begin</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;  <span class="vhdlchar">rsti</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">rst</span> <span class="vhdlkeyword">or</span> <span class="vhdlchar">ipb_rst</span>;   </div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <span class="vhdlchar">re</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">ipb_in</span><span class="vhdlchar">.</span><span class="vhdlchar">ipb_strobe</span> <span class="vhdlkeyword">and</span> <span class="vhdlkeyword">not</span> <span class="vhdlchar">ipb_in</span><span class="vhdlchar">.</span><span class="vhdlchar">ipb_addr</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">and</span> <span class="vhdlkeyword">not</span> <span class="vhdlchar">ipb_in</span><span class="vhdlchar">.</span><span class="vhdlchar">ipb_write</span> <span class="vhdlkeyword">and</span> <span class="vhdlchar">valid</span>;</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    </div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    <span class="vhdlchar">d_fifo</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">X</span><span class="vhdllogic">&quot;0&quot;</span> <span class="vhdlchar">&amp;</span> <span class="vhdlchar">d</span>;</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    </div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    buf: <span class="vhdlkeyword">entity</span> work.big_fifo_36</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        <span class="vhdlkeyword">generic</span> <span class="vhdlkeyword">map</span>(</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;            N_FIFO  =&gt; N_FIFO</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        <span class="vhdlchar">)</span></div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;        <span class="vhdlkeyword">port</span> <span class="vhdlkeyword">map</span>(</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;            clk  =&gt; ipb_clk ,</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;            rst  =&gt; rsti,</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;            d  =&gt; d_fifo ,</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;            wen  =&gt; we,</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;            full  =&gt; full,</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;            empty  =&gt; empty,</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;            ctr  =&gt; ctr,</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;            ren  =&gt; re,</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;            q  =&gt; q_fifo ,</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;            valid  =&gt; valid</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        <span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    </div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    <span class="vhdlchar">ipb_out</span><span class="vhdlchar">.</span><span class="vhdlchar">ipb_rdata</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">q_fifo</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">31</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">when</span> <span class="vhdlchar">ipb_in</span><span class="vhdlchar">.</span><span class="vhdlchar">ipb_addr</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlchar">=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span> <span class="vhdlkeyword">else</span> <span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">31</span> <span class="vhdlkeyword">downto</span> <span class="vhdlchar">ctr</span><span class="vhdlchar">&#39;</span><span class="vhdlchar">length</span> <span class="vhdlchar">=</span><span class="vhdlchar">&gt;</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span><span class="vhdlchar">)</span> <span class="vhdlchar">&amp;</span> <span class="vhdlchar">ctr</span>;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    <span class="vhdlchar">ipb_out</span><span class="vhdlchar">.</span><span class="vhdlchar">ipb_ack</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">ipb_in</span><span class="vhdlchar">.</span><span class="vhdlchar">ipb_strobe</span> <span class="vhdlkeyword">and</span> <span class="vhdlkeyword">not</span> <span class="vhdlchar">ipb_in</span><span class="vhdlchar">.</span><span class="vhdlchar">ipb_write</span> <span class="vhdlkeyword">and</span> <span class="vhdlchar">(</span><span class="vhdlchar">valid</span> <span class="vhdlkeyword">or</span> <span class="vhdlchar">ipb_in</span><span class="vhdlchar">.</span><span class="vhdlchar">ipb_addr</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    <span class="vhdlchar">ipb_out</span><span class="vhdlchar">.</span><span class="vhdlchar">ipb_err</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">ipb_in</span><span class="vhdlchar">.</span><span class="vhdlchar">ipb_strobe</span> <span class="vhdlkeyword">and</span> <span class="vhdlchar">(</span><span class="vhdlchar">ipb_in</span><span class="vhdlchar">.</span><span class="vhdlchar">ipb_write</span> <span class="vhdlkeyword">or</span> <span class="vhdlkeyword">not</span> <span class="vhdlchar">(</span><span class="vhdlchar">valid</span> <span class="vhdlkeyword">or</span> <span class="vhdlchar">ipb_in</span><span class="vhdlchar">.</span><span class="vhdlchar">ipb_addr</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span><span class="vhdlchar">)</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    </div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    <span class="vhdlkeyword">process</span>(ipb_clk)</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span class="vhdlkeyword">    begin</span></div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;        <span class="vhdlkeyword">if</span> <span class="vhdlchar">rising_edge</span><span class="vhdlchar">(</span><span class="vhdlchar">ipb_clk</span><span class="vhdlchar">)</span> <span class="vhdlkeyword">then</span></div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;            <span class="vhdlkeyword">if</span> <span class="vhdlchar">rsti</span> <span class="vhdlchar">=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">1</span><span class="vhdlchar">&#39;</span> <span class="vhdlkeyword">then</span></div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;                <span class="vhdlchar">w</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span>;</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;            <span class="vhdlkeyword">elsif</span> <span class="comment">unsigned</span><span class="vhdlchar">(</span><span class="vhdlchar">ctr</span><span class="vhdlchar">)</span> <span class="vhdlchar">&gt;</span> <span class="vhdlchar">WARN_HWM</span> <span class="vhdlkeyword">then</span></div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;                <span class="vhdlchar">w</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">1</span><span class="vhdlchar">&#39;</span>;</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;            <span class="vhdlkeyword">elsif</span> <span class="comment">unsigned</span><span class="vhdlchar">(</span><span class="vhdlchar">ctr</span><span class="vhdlchar">)</span> <span class="vhdlchar">&lt;</span> <span class="vhdlchar">WARN_LWM</span> <span class="vhdlkeyword">then</span></div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;                <span class="vhdlchar">w</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span>;</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;            <span class="vhdlkeyword">end</span> <span class="vhdlkeyword">if</span>;</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;        <span class="vhdlkeyword">end</span> <span class="vhdlkeyword">if</span>;</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    <span class="vhdlkeyword">end</span> <span class="vhdlkeyword">process</span>;</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    </div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <span class="vhdlchar">warn</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">w</span>;</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    </div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;<span class="vhdlkeyword">end</span> <span class="vhdlchar">rtl</span>;</div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:30 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
